<?php
require_once("config/configDB.php"); 

// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;


$userpermissionEdit 	= $_POST['userpermissionEdit'];
$userpermissionDelete 	= $_POST['userpermissionDelete'];
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$columns = array( 
// datatable column index  => database column name
	0 => 'id', 
	1 => 'regcode',
	2 => 'regname',
	3 => 'reg_address',
	4 => 'createdby'
);

$sql = "SELECT id FROM vehiclereg where isdelete=1";
$query=mysqli_query($conn, $sql) or die("sitegriddata.php: get site Data step 1");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  

$sql = "SELECT regcode, regname,reg_address,createdby,id ";
$sql.=" FROM vehiclereg WHERE 1=1 and isdelete=1";
if( !empty($requestData['search']['value']) ) {   

	$sql.=" AND ( regcode LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR regname LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR reg_address LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR createdby  LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR id LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("sitegriddata.php: get site Data step 2");
$totalFiltered = mysqli_num_rows($query); 

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";

$query=mysqli_query($conn, $sql) or die("sitegriddata.php: get site Data step 3");
	
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$data = array();
while( $row=mysqli_fetch_array($query) ) { 
	$nestedData=array(); 

	//$nestedData[] = $row["id"];
	$nestedData[] = $row["regcode"];
	$nestedData[] = $row["regname"];
	$nestedData[] = $row["reg_address"];
	//$nestedData[] = $row["createdby"];
	
    
	
	//$date = new DateTime($row["employee_joining_date"]); 
	//$nestedData[] = $date->format('d-m-Y'); //only fetching date
	//$nestedData[] = $row["open_balance"];
	
	$edit  = "";
	if($userpermissionEdit==1) {
		$edit .="<a href='vehicleregMasterEdit.php?id=".$row['id']."' id='siteMaster_".$row['id']."' class='btn btn-primary'>Edit</a>&nbsp";
	}

	$Delete  = "";
	if($userpermissionDelete==1) {
		$Delete .="<a id='regvehicleMasterDelete_".$row['id']."' class='btn btn-primary' onclick='ConfirmsiteMasterDelete(".$row['id'].")' >Delete</a>";
	}
	$nestedData[] = $edit."&nbsp".$Delete;
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data);  

?>
